Package com.independentsoft.office.drawing

# Enum Class PatternFillType

java.lang.Object
java.lang.Enum<PatternFillType>
com.independentsoft.office.drawing.PatternFillType

All Implemented Interfaces:
  `Serializable`, `Comparable<PatternFillType>`, `Constable`

public enum PatternFillType extends Enum<PatternFillType>
The Enum PatternFillType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BACKWARD_DIAGONAL`
  `CROSS`
  `DARK_DOWNWARD_DIAGONAL`
  `DARK_HORIZONTAL`
  `DARK_UPWARD_DIAGONAL`
  `DARK_VERTICAL`
  `DASHED_DOWNWARD_DIAGONAL`
  `DASHED_HORIZONTAL`
  `DASHED_UPWARD_DIAGONAL`
  `DASHED_VERTICAL`
  `DIAGONAL_BRICK`
  `DIAGONAL_CROSS`
  `DIVOT`
  `DOTTED_DIAMOND`
  `DOTTED_GRID`
  `DOWNWARD_DIAGONAL`
  `FORWARD_DIAGONAL`
  `HORIZONTAL`
  `HORIZONTAL_BRICK`
  `LARGE_CHECKER_BOARD`
  `LARGE_CONFETTI`
  `LARGE_GRID`
  `LIGHT_DOWNWARD_DIAGONAL`
  `LIGHT_HORIZONTAL`
  `LIGHT_UPWARD_DIAGONAL`
  `LIGHT_VERTICAL`
  `MAX`
  `MIN`
  `NARROW_HORIZONTAL`
  `NARROW_VERTICAL`
  `NONE`
  `OUTLINED_DIAMOND`
  `PERCENT_05`
  `PERCENT_10`
  `PERCENT_20`
  `PERCENT_25`
  `PERCENT_30`
  `PERCENT_40`
  `PERCENT_50`
  `PERCENT_60`
  `PERCENT_70`
  `PERCENT_75`
  `PERCENT_80`
  `PERCENT_90`
  `PLAID`
  `SHINGLE`
  `SMALL_CHECKER_BOARD`
  `SMALL_CONFETTI`
  `SMALL_GRID`
  `SOLID_DIAMOND`
  `SPHERE`
  `TRELLIS`
  `UPWARD_DIAGONAL`
  `VERTICAL`
  `WAVE`
  `WEAVE`
  `WIDE_DOWNWARD_DIAGONAL`
  `WIDE_UPWARD_DIAGONAL`
  `ZIG_ZAG`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PatternFillType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PatternFillType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BACKWARD_DIAGONAL

    public static final PatternFillType BACKWARD_DIAGONAL

  - ### CROSS

    public static final PatternFillType CROSS

  - ### DARK_DOWNWARD_DIAGONAL

    public static final PatternFillType DARK_DOWNWARD_DIAGONAL

  - ### DARK_HORIZONTAL

    public static final PatternFillType DARK_HORIZONTAL

  - ### DARK_UPWARD_DIAGONAL

    public static final PatternFillType DARK_UPWARD_DIAGONAL

  - ### DARK_VERTICAL

    public static final PatternFillType DARK_VERTICAL

  - ### DOWNWARD_DIAGONAL

    public static final PatternFillType DOWNWARD_DIAGONAL

  - ### DASHED_DOWNWARD_DIAGONAL

    public static final PatternFillType DASHED_DOWNWARD_DIAGONAL

  - ### DASHED_HORIZONTAL

    public static final PatternFillType DASHED_HORIZONTAL

  - ### DASHED_UPWARD_DIAGONAL

    public static final PatternFillType DASHED_UPWARD_DIAGONAL

  - ### DASHED_VERTICAL

    public static final PatternFillType DASHED_VERTICAL

  - ### DIAGONAL_BRICK

    public static final PatternFillType DIAGONAL_BRICK

  - ### DIAGONAL_CROSS

    public static final PatternFillType DIAGONAL_CROSS

  - ### DIVOT

    public static final PatternFillType DIVOT

  - ### DOTTED_DIAMOND

    public static final PatternFillType DOTTED_DIAMOND

  - ### DOTTED_GRID

    public static final PatternFillType DOTTED_GRID

  - ### FORWARD_DIAGONAL

    public static final PatternFillType FORWARD_DIAGONAL

  - ### HORIZONTAL

    public static final PatternFillType HORIZONTAL

  - ### HORIZONTAL_BRICK

    public static final PatternFillType HORIZONTAL_BRICK

  - ### LARGE_CHECKER_BOARD

    public static final PatternFillType LARGE_CHECKER_BOARD

  - ### LARGE_CONFETTI

    public static final PatternFillType LARGE_CONFETTI

  - ### LARGE_GRID

    public static final PatternFillType LARGE_GRID

  - ### LIGHT_DOWNWARD_DIAGONAL

    public static final PatternFillType LIGHT_DOWNWARD_DIAGONAL

  - ### LIGHT_HORIZONTAL

    public static final PatternFillType LIGHT_HORIZONTAL

  - ### LIGHT_UPWARD_DIAGONAL

    public static final PatternFillType LIGHT_UPWARD_DIAGONAL

  - ### LIGHT_VERTICAL

    public static final PatternFillType LIGHT_VERTICAL

  - ### MAX

    public static final PatternFillType MAX

  - ### MIN

    public static final PatternFillType MIN

  - ### NARROW_HORIZONTAL

    public static final PatternFillType NARROW_HORIZONTAL

  - ### NARROW_VERTICAL

    public static final PatternFillType NARROW_VERTICAL

  - ### OUTLINED_DIAMOND

    public static final PatternFillType OUTLINED_DIAMOND

  - ### PERCENT_05

    public static final PatternFillType PERCENT_05

  - ### PERCENT_10

    public static final PatternFillType PERCENT_10

  - ### PERCENT_20

    public static final PatternFillType PERCENT_20

  - ### PERCENT_25

    public static final PatternFillType PERCENT_25

  - ### PERCENT_30

    public static final PatternFillType PERCENT_30

  - ### PERCENT_40

    public static final PatternFillType PERCENT_40

  - ### PERCENT_50

    public static final PatternFillType PERCENT_50

  - ### PERCENT_60

    public static final PatternFillType PERCENT_60

  - ### PERCENT_70

    public static final PatternFillType PERCENT_70

  - ### PERCENT_75

    public static final PatternFillType PERCENT_75

  - ### PERCENT_80

    public static final PatternFillType PERCENT_80

  - ### PERCENT_90

    public static final PatternFillType PERCENT_90

  - ### PLAID

    public static final PatternFillType PLAID

  - ### SHINGLE

    public static final PatternFillType SHINGLE

  - ### SMALL_CHECKER_BOARD

    public static final PatternFillType SMALL_CHECKER_BOARD

  - ### SMALL_CONFETTI

    public static final PatternFillType SMALL_CONFETTI

  - ### SMALL_GRID

    public static final PatternFillType SMALL_GRID

  - ### SOLID_DIAMOND

    public static final PatternFillType SOLID_DIAMOND

  - ### SPHERE

    public static final PatternFillType SPHERE

  - ### TRELLIS

    public static final PatternFillType TRELLIS

  - ### UPWARD_DIAGONAL

    public static final PatternFillType UPWARD_DIAGONAL

  - ### VERTICAL

    public static final PatternFillType VERTICAL

  - ### WAVE

    public static final PatternFillType WAVE

  - ### WEAVE

    public static final PatternFillType WEAVE

  - ### WIDE_DOWNWARD_DIAGONAL

    public static final PatternFillType WIDE_DOWNWARD_DIAGONAL

  - ### WIDE_UPWARD_DIAGONAL

    public static final PatternFillType WIDE_UPWARD_DIAGONAL

  - ### ZIG_ZAG

    public static final PatternFillType ZIG_ZAG

  - ### NONE

    public static final PatternFillType NONE

- ## Method Details

  - ### values

    public static PatternFillType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PatternFillType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null